import type { GithubRepository, GithubOrganization, User, GithubAccount } from '../types/graphql';
import type { PageArgs } from '../relay';
export declare function toGraphql(factory: GithubRepository | GithubOrganization | GithubAccount | User): {
    name: string;
    description: string;
    nameWithOwner: string;
    login: string;
    url: string;
    createdAt: string;
    collaborators(pageArgs: PageArgs): import("../relay").Page<unknown>;
    owner(): any | {
        entityName: string;
        name: string;
        description: string;
        email: string;
        createdAt: string;
        teams(pageArgs: PageArgs): import("../relay").Page<{
            __typename?: "GithubTeam" | undefined;
            entityName: string;
            members: import("../types/graphql").GithubTeamMembership[];
            name: string;
            organization: GithubOrganization;
            slug: string;
            url: string;
        }>;
        __typename: string;
        avatarUrl: string;
        login: string;
        repositories(pageArgs: PageArgs): import("../relay").Page<any | any | {
            firstName: string;
            lastName: string;
            name: string;
            bio: string;
            lastActive: string;
            createdAt: string;
            organizations(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            collaboratorOn(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            __typename: string;
            avatarUrl: string;
            login: string;
            repositories(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
            entityName?: undefined;
        } | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        }>;
        resourcePath: string;
        url: string;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | {
        firstName: string;
        lastName: string;
        name: string;
        bio: string;
        lastActive: string;
        createdAt: string;
        organizations(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        }>;
        teamMemberships: import("../types/graphql").GithubTeamMembership[];
        collaboratorOn(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        }>;
        __typename: string;
        avatarUrl: string;
        login: string;
        repositories(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        }>;
        resourcePath: string;
        url: string;
        description?: undefined;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
        entityName?: undefined;
    } | {
        __typename?: "GithubAccount" | undefined;
        bio: string;
        collaboratorOn: GithubRepository[];
        createdAt: string;
        entityName: string;
        firstName: string;
        lastActive: string;
        lastName: string;
        name: string;
        organizations: GithubOrganization[];
        teamMemberships: import("../types/graphql").GithubTeamMembership[];
        user: User;
        avatarUrl: string;
        login: string;
        repositories: GithubRepository[];
        resourcePath: string;
        url: string;
        description?: undefined;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | {
        __typename?: "GithubRepository" | undefined;
        collaborators: GithubAccount[];
        createdAt: string;
        defaultBranchRef: import("../types/graphql").GithubRef;
        description: string;
        entityName: string;
        isArchived: boolean;
        languages: string[];
        login: string;
        name: string;
        nameWithOwner: string;
        owner: import("../types/graphql").GithubRepositoryOwner;
        repositoryTopics: string[];
        url: string;
        visibility: string;
    } | {
        __typename?: "GithubOrganization" | undefined;
        createdAt: string;
        description: string;
        email: string;
        entityName: string;
        name: string;
        teams: import("../types/graphql").GithubTeam[];
        avatarUrl: string;
        login: string;
        repositories: GithubRepository[];
        resourcePath: string;
        url: string;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | {
        __typename?: "User" | undefined;
        displayName: string;
        email: string;
        entityName: string;
        firstName: string;
        githubAccount: GithubAccount;
        lastName: string;
        name: string;
        picture: string;
        description?: undefined;
        nameWithOwner?: undefined;
        login?: undefined;
        url?: undefined;
        createdAt?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    };
    defaultBranchRef: {
        name: string;
        target: import("../types/graphql").GithubCommit;
    };
    languages(pageArgs: PageArgs): import("../relay").Page<{
        name: string;
    }>;
    repositoryTopics(pageArgs: PageArgs): import("../relay").Page<{
        topic: {
            name: string;
        };
    }>;
    visibility: string;
    isArchived: boolean;
    entityName: string;
} | {
    entityName: string;
    name: string;
    description: string;
    email: string;
    createdAt: string;
    teams(pageArgs: PageArgs): import("../relay").Page<{
        __typename?: "GithubTeam" | undefined;
        entityName: string;
        members: import("../types/graphql").GithubTeamMembership[];
        name: string;
        organization: GithubOrganization;
        slug: string;
        url: string;
    }>;
    __typename: string;
    avatarUrl: string;
    login: string;
    repositories(pageArgs: PageArgs): import("../relay").Page<{
        name: string;
        description: string;
        nameWithOwner: string;
        login: string;
        url: string;
        createdAt: string;
        collaborators(pageArgs: PageArgs): import("../relay").Page<unknown>;
        owner(): any | any | {
            firstName: string;
            lastName: string;
            name: string;
            bio: string;
            lastActive: string;
            createdAt: string;
            organizations(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            collaboratorOn(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            __typename: string;
            avatarUrl: string;
            login: string;
            repositories(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
            entityName?: undefined;
        } | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        };
        defaultBranchRef: {
            name: string;
            target: import("../types/graphql").GithubCommit;
        };
        languages(pageArgs: PageArgs): import("../relay").Page<{
            name: string;
        }>;
        repositoryTopics(pageArgs: PageArgs): import("../relay").Page<{
            topic: {
                name: string;
            };
        }>;
        visibility: string;
        isArchived: boolean;
        entityName: string;
    } | any | {
        firstName: string;
        lastName: string;
        name: string;
        bio: string;
        lastActive: string;
        createdAt: string;
        organizations(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        }>;
        teamMemberships: import("../types/graphql").GithubTeamMembership[];
        collaboratorOn(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        }>;
        __typename: string;
        avatarUrl: string;
        login: string;
        repositories(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        }>;
        resourcePath: string;
        url: string;
        description?: undefined;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
        entityName?: undefined;
    } | {
        __typename?: "GithubAccount" | undefined;
        bio: string;
        collaboratorOn: GithubRepository[];
        createdAt: string;
        entityName: string;
        firstName: string;
        lastActive: string;
        lastName: string;
        name: string;
        organizations: GithubOrganization[];
        teamMemberships: import("../types/graphql").GithubTeamMembership[];
        user: User;
        avatarUrl: string;
        login: string;
        repositories: GithubRepository[];
        resourcePath: string;
        url: string;
        description?: undefined;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | {
        __typename?: "GithubRepository" | undefined;
        collaborators: GithubAccount[];
        createdAt: string;
        defaultBranchRef: import("../types/graphql").GithubRef;
        description: string;
        entityName: string;
        isArchived: boolean;
        languages: string[];
        login: string;
        name: string;
        nameWithOwner: string;
        owner: import("../types/graphql").GithubRepositoryOwner;
        repositoryTopics: string[];
        url: string;
        visibility: string;
    } | {
        __typename?: "GithubOrganization" | undefined;
        createdAt: string;
        description: string;
        email: string;
        entityName: string;
        name: string;
        teams: import("../types/graphql").GithubTeam[];
        avatarUrl: string;
        login: string;
        repositories: GithubRepository[];
        resourcePath: string;
        url: string;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | {
        __typename?: "User" | undefined;
        displayName: string;
        email: string;
        entityName: string;
        firstName: string;
        githubAccount: GithubAccount;
        lastName: string;
        name: string;
        picture: string;
        description?: undefined;
        nameWithOwner?: undefined;
        login?: undefined;
        url?: undefined;
        createdAt?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    }>;
    resourcePath: string;
    url: string;
    nameWithOwner?: undefined;
    defaultBranchRef?: undefined;
    visibility?: undefined;
    isArchived?: undefined;
} | {
    firstName: string;
    lastName: string;
    name: string;
    bio: string;
    lastActive: string;
    createdAt: string;
    organizations(pageArgs: PageArgs): import("../relay").Page<{
        name: string;
        description: string;
        nameWithOwner: string;
        login: string;
        url: string;
        createdAt: string;
        collaborators(pageArgs: PageArgs): import("../relay").Page<unknown>;
        owner(): any | any | {
            firstName: string;
            lastName: string;
            name: string;
            bio: string;
            lastActive: string;
            createdAt: string;
            organizations(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            collaboratorOn(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            __typename: string;
            avatarUrl: string;
            login: string;
            repositories(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
            entityName?: undefined;
        } | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        };
        defaultBranchRef: {
            name: string;
            target: import("../types/graphql").GithubCommit;
        };
        languages(pageArgs: PageArgs): import("../relay").Page<{
            name: string;
        }>;
        repositoryTopics(pageArgs: PageArgs): import("../relay").Page<{
            topic: {
                name: string;
            };
        }>;
        visibility: string;
        isArchived: boolean;
        entityName: string;
    } | {
        entityName: string;
        name: string;
        description: string;
        email: string;
        createdAt: string;
        teams(pageArgs: PageArgs): import("../relay").Page<{
            __typename?: "GithubTeam" | undefined;
            entityName: string;
            members: import("../types/graphql").GithubTeamMembership[];
            name: string;
            organization: GithubOrganization;
            slug: string;
            url: string;
        }>;
        __typename: string;
        avatarUrl: string;
        login: string;
        repositories(pageArgs: PageArgs): import("../relay").Page<any | any | {
            firstName: string;
            lastName: string;
            name: string;
            bio: string;
            lastActive: string;
            createdAt: string;
            organizations(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            collaboratorOn(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            __typename: string;
            avatarUrl: string;
            login: string;
            repositories(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
            entityName?: undefined;
        } | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        }>;
        resourcePath: string;
        url: string;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | any | {
        __typename?: "GithubAccount" | undefined;
        bio: string;
        collaboratorOn: GithubRepository[];
        createdAt: string;
        entityName: string;
        firstName: string;
        lastActive: string;
        lastName: string;
        name: string;
        organizations: GithubOrganization[];
        teamMemberships: import("../types/graphql").GithubTeamMembership[];
        user: User;
        avatarUrl: string;
        login: string;
        repositories: GithubRepository[];
        resourcePath: string;
        url: string;
        description?: undefined;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | {
        __typename?: "GithubRepository" | undefined;
        collaborators: GithubAccount[];
        createdAt: string;
        defaultBranchRef: import("../types/graphql").GithubRef;
        description: string;
        entityName: string;
        isArchived: boolean;
        languages: string[];
        login: string;
        name: string;
        nameWithOwner: string;
        owner: import("../types/graphql").GithubRepositoryOwner;
        repositoryTopics: string[];
        url: string;
        visibility: string;
    } | {
        __typename?: "GithubOrganization" | undefined;
        createdAt: string;
        description: string;
        email: string;
        entityName: string;
        name: string;
        teams: import("../types/graphql").GithubTeam[];
        avatarUrl: string;
        login: string;
        repositories: GithubRepository[];
        resourcePath: string;
        url: string;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | {
        __typename?: "User" | undefined;
        displayName: string;
        email: string;
        entityName: string;
        firstName: string;
        githubAccount: GithubAccount;
        lastName: string;
        name: string;
        picture: string;
        description?: undefined;
        nameWithOwner?: undefined;
        login?: undefined;
        url?: undefined;
        createdAt?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    }>;
    teamMemberships: import("../types/graphql").GithubTeamMembership[];
    collaboratorOn(pageArgs: PageArgs): import("../relay").Page<{
        name: string;
        description: string;
        nameWithOwner: string;
        login: string;
        url: string;
        createdAt: string;
        collaborators(pageArgs: PageArgs): import("../relay").Page<unknown>;
        owner(): any | any | {
            firstName: string;
            lastName: string;
            name: string;
            bio: string;
            lastActive: string;
            createdAt: string;
            organizations(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            collaboratorOn(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            __typename: string;
            avatarUrl: string;
            login: string;
            repositories(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
            entityName?: undefined;
        } | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        };
        defaultBranchRef: {
            name: string;
            target: import("../types/graphql").GithubCommit;
        };
        languages(pageArgs: PageArgs): import("../relay").Page<{
            name: string;
        }>;
        repositoryTopics(pageArgs: PageArgs): import("../relay").Page<{
            topic: {
                name: string;
            };
        }>;
        visibility: string;
        isArchived: boolean;
        entityName: string;
    } | {
        entityName: string;
        name: string;
        description: string;
        email: string;
        createdAt: string;
        teams(pageArgs: PageArgs): import("../relay").Page<{
            __typename?: "GithubTeam" | undefined;
            entityName: string;
            members: import("../types/graphql").GithubTeamMembership[];
            name: string;
            organization: GithubOrganization;
            slug: string;
            url: string;
        }>;
        __typename: string;
        avatarUrl: string;
        login: string;
        repositories(pageArgs: PageArgs): import("../relay").Page<any | any | {
            firstName: string;
            lastName: string;
            name: string;
            bio: string;
            lastActive: string;
            createdAt: string;
            organizations(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            collaboratorOn(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            __typename: string;
            avatarUrl: string;
            login: string;
            repositories(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
            entityName?: undefined;
        } | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        }>;
        resourcePath: string;
        url: string;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | any | {
        __typename?: "GithubAccount" | undefined;
        bio: string;
        collaboratorOn: GithubRepository[];
        createdAt: string;
        entityName: string;
        firstName: string;
        lastActive: string;
        lastName: string;
        name: string;
        organizations: GithubOrganization[];
        teamMemberships: import("../types/graphql").GithubTeamMembership[];
        user: User;
        avatarUrl: string;
        login: string;
        repositories: GithubRepository[];
        resourcePath: string;
        url: string;
        description?: undefined;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | {
        __typename?: "GithubRepository" | undefined;
        collaborators: GithubAccount[];
        createdAt: string;
        defaultBranchRef: import("../types/graphql").GithubRef;
        description: string;
        entityName: string;
        isArchived: boolean;
        languages: string[];
        login: string;
        name: string;
        nameWithOwner: string;
        owner: import("../types/graphql").GithubRepositoryOwner;
        repositoryTopics: string[];
        url: string;
        visibility: string;
    } | {
        __typename?: "GithubOrganization" | undefined;
        createdAt: string;
        description: string;
        email: string;
        entityName: string;
        name: string;
        teams: import("../types/graphql").GithubTeam[];
        avatarUrl: string;
        login: string;
        repositories: GithubRepository[];
        resourcePath: string;
        url: string;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | {
        __typename?: "User" | undefined;
        displayName: string;
        email: string;
        entityName: string;
        firstName: string;
        githubAccount: GithubAccount;
        lastName: string;
        name: string;
        picture: string;
        description?: undefined;
        nameWithOwner?: undefined;
        login?: undefined;
        url?: undefined;
        createdAt?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    }>;
    __typename: string;
    avatarUrl: string;
    login: string;
    repositories(pageArgs: PageArgs): import("../relay").Page<{
        name: string;
        description: string;
        nameWithOwner: string;
        login: string;
        url: string;
        createdAt: string;
        collaborators(pageArgs: PageArgs): import("../relay").Page<unknown>;
        owner(): any | any | {
            firstName: string;
            lastName: string;
            name: string;
            bio: string;
            lastActive: string;
            createdAt: string;
            organizations(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            collaboratorOn(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            __typename: string;
            avatarUrl: string;
            login: string;
            repositories(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
            entityName?: undefined;
        } | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        };
        defaultBranchRef: {
            name: string;
            target: import("../types/graphql").GithubCommit;
        };
        languages(pageArgs: PageArgs): import("../relay").Page<{
            name: string;
        }>;
        repositoryTopics(pageArgs: PageArgs): import("../relay").Page<{
            topic: {
                name: string;
            };
        }>;
        visibility: string;
        isArchived: boolean;
        entityName: string;
    } | {
        entityName: string;
        name: string;
        description: string;
        email: string;
        createdAt: string;
        teams(pageArgs: PageArgs): import("../relay").Page<{
            __typename?: "GithubTeam" | undefined;
            entityName: string;
            members: import("../types/graphql").GithubTeamMembership[];
            name: string;
            organization: GithubOrganization;
            slug: string;
            url: string;
        }>;
        __typename: string;
        avatarUrl: string;
        login: string;
        repositories(pageArgs: PageArgs): import("../relay").Page<any | any | {
            firstName: string;
            lastName: string;
            name: string;
            bio: string;
            lastActive: string;
            createdAt: string;
            organizations(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            collaboratorOn(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            __typename: string;
            avatarUrl: string;
            login: string;
            repositories(pageArgs: PageArgs): import("../relay").Page<any | any | any | {
                __typename?: "GithubAccount" | undefined;
                bio: string;
                collaboratorOn: GithubRepository[];
                createdAt: string;
                entityName: string;
                firstName: string;
                lastActive: string;
                lastName: string;
                name: string;
                organizations: GithubOrganization[];
                teamMemberships: import("../types/graphql").GithubTeamMembership[];
                user: User;
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                description?: undefined;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "GithubRepository" | undefined;
                collaborators: GithubAccount[];
                createdAt: string;
                defaultBranchRef: import("../types/graphql").GithubRef;
                description: string;
                entityName: string;
                isArchived: boolean;
                languages: string[];
                login: string;
                name: string;
                nameWithOwner: string;
                owner: import("../types/graphql").GithubRepositoryOwner;
                repositoryTopics: string[];
                url: string;
                visibility: string;
            } | {
                __typename?: "GithubOrganization" | undefined;
                createdAt: string;
                description: string;
                email: string;
                entityName: string;
                name: string;
                teams: import("../types/graphql").GithubTeam[];
                avatarUrl: string;
                login: string;
                repositories: GithubRepository[];
                resourcePath: string;
                url: string;
                nameWithOwner?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            } | {
                __typename?: "User" | undefined;
                displayName: string;
                email: string;
                entityName: string;
                firstName: string;
                githubAccount: GithubAccount;
                lastName: string;
                name: string;
                picture: string;
                description?: undefined;
                nameWithOwner?: undefined;
                login?: undefined;
                url?: undefined;
                createdAt?: undefined;
                defaultBranchRef?: undefined;
                visibility?: undefined;
                isArchived?: undefined;
            }>;
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
            entityName?: undefined;
        } | {
            __typename?: "GithubAccount" | undefined;
            bio: string;
            collaboratorOn: GithubRepository[];
            createdAt: string;
            entityName: string;
            firstName: string;
            lastActive: string;
            lastName: string;
            name: string;
            organizations: GithubOrganization[];
            teamMemberships: import("../types/graphql").GithubTeamMembership[];
            user: User;
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            description?: undefined;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "GithubRepository" | undefined;
            collaborators: GithubAccount[];
            createdAt: string;
            defaultBranchRef: import("../types/graphql").GithubRef;
            description: string;
            entityName: string;
            isArchived: boolean;
            languages: string[];
            login: string;
            name: string;
            nameWithOwner: string;
            owner: import("../types/graphql").GithubRepositoryOwner;
            repositoryTopics: string[];
            url: string;
            visibility: string;
        } | {
            __typename?: "GithubOrganization" | undefined;
            createdAt: string;
            description: string;
            email: string;
            entityName: string;
            name: string;
            teams: import("../types/graphql").GithubTeam[];
            avatarUrl: string;
            login: string;
            repositories: GithubRepository[];
            resourcePath: string;
            url: string;
            nameWithOwner?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        } | {
            __typename?: "User" | undefined;
            displayName: string;
            email: string;
            entityName: string;
            firstName: string;
            githubAccount: GithubAccount;
            lastName: string;
            name: string;
            picture: string;
            description?: undefined;
            nameWithOwner?: undefined;
            login?: undefined;
            url?: undefined;
            createdAt?: undefined;
            defaultBranchRef?: undefined;
            visibility?: undefined;
            isArchived?: undefined;
        }>;
        resourcePath: string;
        url: string;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | any | {
        __typename?: "GithubAccount" | undefined;
        bio: string;
        collaboratorOn: GithubRepository[];
        createdAt: string;
        entityName: string;
        firstName: string;
        lastActive: string;
        lastName: string;
        name: string;
        organizations: GithubOrganization[];
        teamMemberships: import("../types/graphql").GithubTeamMembership[];
        user: User;
        avatarUrl: string;
        login: string;
        repositories: GithubRepository[];
        resourcePath: string;
        url: string;
        description?: undefined;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | {
        __typename?: "GithubRepository" | undefined;
        collaborators: GithubAccount[];
        createdAt: string;
        defaultBranchRef: import("../types/graphql").GithubRef;
        description: string;
        entityName: string;
        isArchived: boolean;
        languages: string[];
        login: string;
        name: string;
        nameWithOwner: string;
        owner: import("../types/graphql").GithubRepositoryOwner;
        repositoryTopics: string[];
        url: string;
        visibility: string;
    } | {
        __typename?: "GithubOrganization" | undefined;
        createdAt: string;
        description: string;
        email: string;
        entityName: string;
        name: string;
        teams: import("../types/graphql").GithubTeam[];
        avatarUrl: string;
        login: string;
        repositories: GithubRepository[];
        resourcePath: string;
        url: string;
        nameWithOwner?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    } | {
        __typename?: "User" | undefined;
        displayName: string;
        email: string;
        entityName: string;
        firstName: string;
        githubAccount: GithubAccount;
        lastName: string;
        name: string;
        picture: string;
        description?: undefined;
        nameWithOwner?: undefined;
        login?: undefined;
        url?: undefined;
        createdAt?: undefined;
        defaultBranchRef?: undefined;
        visibility?: undefined;
        isArchived?: undefined;
    }>;
    resourcePath: string;
    url: string;
    description?: undefined;
    nameWithOwner?: undefined;
    defaultBranchRef?: undefined;
    visibility?: undefined;
    isArchived?: undefined;
    entityName?: undefined;
} | {
    __typename?: "GithubAccount" | undefined;
    bio: string;
    collaboratorOn: GithubRepository[];
    createdAt: string;
    entityName: string;
    firstName: string;
    lastActive: string;
    lastName: string;
    name: string;
    organizations: GithubOrganization[];
    teamMemberships: import("../types/graphql").GithubTeamMembership[];
    user: User;
    avatarUrl: string;
    login: string;
    repositories: GithubRepository[];
    resourcePath: string;
    url: string;
    description?: undefined;
    nameWithOwner?: undefined;
    defaultBranchRef?: undefined;
    visibility?: undefined;
    isArchived?: undefined;
} | {
    __typename?: "GithubRepository" | undefined;
    collaborators: GithubAccount[];
    createdAt: string;
    defaultBranchRef: import("../types/graphql").GithubRef;
    description: string;
    entityName: string;
    isArchived: boolean;
    languages: string[];
    login: string;
    name: string;
    nameWithOwner: string;
    owner: import("../types/graphql").GithubRepositoryOwner;
    repositoryTopics: string[];
    url: string;
    visibility: string;
} | {
    __typename?: "GithubOrganization" | undefined;
    createdAt: string;
    description: string;
    email: string;
    entityName: string;
    name: string;
    teams: import("../types/graphql").GithubTeam[];
    avatarUrl: string;
    login: string;
    repositories: GithubRepository[];
    resourcePath: string;
    url: string;
    nameWithOwner?: undefined;
    defaultBranchRef?: undefined;
    visibility?: undefined;
    isArchived?: undefined;
} | {
    __typename?: "User" | undefined;
    displayName: string;
    email: string;
    entityName: string;
    firstName: string;
    githubAccount: GithubAccount;
    lastName: string;
    name: string;
    picture: string;
    description?: undefined;
    nameWithOwner?: undefined;
    login?: undefined;
    url?: undefined;
    createdAt?: undefined;
    defaultBranchRef?: undefined;
    visibility?: undefined;
    isArchived?: undefined;
};
//# sourceMappingURL=graphgen-to-graphql.d.ts.map